Bug 172280 - unable to install cisco vpnclient (4.7.00 0640) on kernel 2.6.14-1.1633_FC4
unable to install cisco vpnclient (4.7.00 0640) on kernel 2.6.14-1.1633_FC4
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-02 07:01 EST by Marcus Specht
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-04 19:52:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcus Specht 2005-11-02 07:01:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de; rv:1.8) Gecko/20051025 Firefox/1.5

Description of problem:
When I try to install the cisco VPN Client on kernel 2.6.14-1.1633_FC4 i get this result:

-----------------------------------------------
# ./vpn_install
Cisco Systems VPN Client Version 4.7.00 (0640) Linux Installer
Copyright (C) 1998-2005 Cisco Systems, Inc. All Rights Reserved.

By installing this product you agree that you have read the
license.txt file (The VPN Client license) and will comply with
its terms.


Directory where binaries will be installed [/usr/local/bin]

Automatically start the VPN service at boot time [yes]

In order to build the VPN kernel module, you must have the
kernel headers for the version of the kernel you are running.


Directory containing linux kernel source code
[/lib/modules/2.6.14-1.1633_FC4/bu ild]

* Binaries will be installed in "/usr/local/bin".
* Modules will be installed in
"/lib/modules/2.6.14-1.1633_FC4/CiscoVPN".
* The VPN service will be started AUTOMATICALLY at boot time.
* Kernel source from "/lib/modules/2.6.14-1.1633_FC4/build" will be used
to build the module.

Is the above correct [y]y

Shutting down /opt/cisco-vpnclient/bin/vpnclient: module cisco_ipsec is
not runn ing.
Stopped: /etc/init.d/vpnclient_init (VPN init script)
Making module
make -C /lib/modules/2.6.14-1.1633_FC4/build SUBDIRS=/tmp/vpn/vpnclient
modules
make[1]: Entering directory `/usr/src/kernels/2.6.14-1.1633_FC4-i686'
  CC [M]  /tmp/vpn/vpnclient/linuxcniapi.o
/tmp/vpn/vpnclient/linuxcniapi.c: In Funktion »CniInjectReceive«:
/tmp/vpn/vpnclient/linuxcniapi.c:292: Fehler: »struct sk_buff« hat kein
Element namens »stamp«
/tmp/vpn/vpnclient/linuxcniapi.c: In Funktion »CniInjectSend«:
/tmp/vpn/vpnclient/linuxcniapi.c:432: Fehler: »struct sk_buff« hat kein
Element namens »stamp«
make[2]: *** [/tmp/vpn/vpnclient/linuxcniapi.o] Fehler 1
make[1]: *** [_module_/tmp/vpn/vpnclient] Fehler 2
make[1]: Leaving directory `/usr/src/kernels/2.6.14-1.1633_FC4-i686'
make: *** [default] Fehler 2
Failed to make module "cisco_ipsec.ko".
-----------------------------------------------
-----------------------------------------------
# uname -a
Linux killer_queen 2.6.14-1.1633_FC4 #1 Fri Oct 28 02:25:09 EDT 2005
i686 i686 i386 GNU/Linux
-----------------------------------------------



Version-Release number of selected component (if applicable):
kernel 2.6.14-1.1633_FC4 & Cisco Systems VPN Client Version 4.7.00 (0640) Linux Installer

How reproducible:
Always

Steps to Reproduce:
start the installer. see above

Actual Results:  see description

Expected Results:  installation of the vpn client.

Additional info:
Comment 1 Dave Jones 2005-11-04 19:52:52 EST
CISCO's problem not ours.

Note You need to log in before you can comment on or make changes to this bug.